Bug 1124787 - [JBossFuse]karaf.log keeps growing and can't be cleaned by 'rhc tidy' command
Summary: [JBossFuse]karaf.log keeps growing and can't be cleaned by 'rhc tidy' command
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 10:05 UTC by xjia
Modified: 2016-10-28 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 13:55:09 UTC


Attachments (Terms of Use)

Description xjia 2014-07-30 10:05:49 UTC
Description of problem:
Check log files in fuse app. 
1. fuse/jboss-fuse-6.1.0.redhat-387/data/log/ directory 
2. fuse/log/ directory 
3. /tmp directory 
After tidy fuse app, only karaf.log logfile under fuse/jboss-fuse-6.1.0.redhat-387/data/log/ is not cleaned.

Version-Release number of selected component (if applicable):
openshift-origin-cartridge-fuse-6.1.0.redhat.387-4.el6op.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. rhc app create fuse01 fuse-1.0 -g medium -e OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat
2. rhc ssh fuse01 'echo 22222 >> fuse/jboss-fuse-6.1.0.redhat-387/data/log/karaf.log'
3. rhc tidy-app fuse01
4. rhc ssh fuse01 'cat fuse/jboss-fuse-6.1.0.redhat-387/data/log/karaf.log| grep 22222'

Actual results:
[root@broker ~]# rhc ssh fuse01 'cat fuse/jboss-fuse-6.1.0.redhat-387/data/log/karaf.log| grep 22222'
22222

Expected results:
[root@broker ~]# rhc ssh fuse01 'cat fuse/jboss-fuse-6.1.0.redhat-387/data/log/karaf.log| grep 22222'
[root@broker ~]

Comment 3 xjia 2014-08-27 05:41:00 UTC
Version:
openshift-origin-cartridge-fuse-6.1.0.redhat.390-2.el6op.noarch.rpm

Verify:
[root@broker ~]# rhc ssh fuse 'cat ~/fuse/container/data/log/karaf.log| grep 222222'
reverse mapping checking getaddrinfo for dhcp-66-79-59.eng.nay.redhat.com [10.66.79.59] failed - POSSIBLE BREAK-IN ATTEMPT!
2222222222
[root@broker ~]# rhc app-tidy fuse
RESULT:
fuse cleaned up
[root@broker ~]# rhc ssh fuse 'cat ~/fuse/container/data/log/karaf.log| grep 222222'
reverse mapping checking getaddrinfo for dhcp-66-79-59.eng.nay.redhat.com [10.66.79.59] failed - POSSIBLE BREAK-IN ATTEMPT!


Note You need to log in before you can comment on or make changes to this bug.